-- Exemplo 6 - Sinal - Testbench
-- Arquitetura de Computadores
-- Prof. Erivelton
library ieee;
use ieee.std_logic_1164.all;
  
entity tb_Sinal is
end tb_Sinal;
 
architecture behavior of tb_Sinal is 
	-- Declaração de componente de: Unit Uder Test (UUT)
	component Sinal
		port(r, t, g, h : in std_logic;
			qb : out std_logic);
    end component;
	-- Sinais
	signal r : std_logic;
	signal t : std_logic;
	signal g : std_logic;
	signal h : std_logic;
	signal qb: std_logic;
	
	begin
	-- Definição the Unit Under Test (UUT)
	uut: Sinal port map 
	(
		r => r,
		t => t,
		g => g,
		h => h,
		qb => qb
	);
	-- Stimulus process
	stim_proc: process
	begin
		-- insert stimulus here 		
		wait for 5 ns;	
			r <= '0';
            t <= '0';
		wait for 5 ns;	
			r <= '1';
            t <= '0';
		wait for 5 ns;
			r <= '0';
            t <= '1';
		wait for 5 ns;
			r <= '1';
            t <= '1';
		wait;
   end process;
end architecture;
